@Echo off

if exist c:\pcb\endqft del c:\pcb\endqft

Cls

Rem *** STARTER.BAT batch file for node 1 ***

:Start

if exist c:\pcb\bbsbatch.cmd del c:\pcb\bbsbatch.cmd

@Echo off
Cls
Set PCBDRIVE=C:
Set PCBDIR=\PCB
Set PCBDAT=C:\PCB\PCBOARD.DAT
Set PCBNODE=1
Set MINUTES=


Echo Loading QFront, please wait...
C:
CD \QFRONT

QFront /CC:\QFRONT\NODE1

C:
CD \PCB

Rem *** NOTES ON LOADING PCBOARD ***

Rem When a human caller comes in or the sysop wants to log on
Rem locally, QFront creates a BBSBATCH.BAT file with information
Rem such as baud rate, etc. in it.  The BBSBATCH.BAT file simply
Rem loads the SPAWNBBS.BAT file which then loads PCBoard.
Rem See the SPAWNBBS.BAT file for more information.


rem OS/2 Kludge Lines

rem These lines replace the old errorlevel processing. They are kludge that
rem could be easily overcome if Rob Kittredge would provide us with semaphore
rem files instead. The logic for each line is as follows:

rem 1) if exist c:\pcb\ENDQFT goto END : You may have noticed that this STARTER.CMD
rem file is locked in an infinite loop. This flag is the only way to cause
rem qfront to exit and take down the node manually.

if exist c:\pcb\ENDQFT goto END

rem 2) if exist c:\qfront\inbound\*.* goto TOSSFIDO: This command will cause
rem STARTER.CMD to branch to TOSSFIDO if any files show up in the inbound
rem directory. This assumes that you ONLY use the INBOUND directory for incoming
rem Fidomail and nothing else!

if exist c:\qfront\inbound\*.* goto TOSSFIDO

rem 3) if exist c:\pcb\qevt-1.bat goto RUNEVENT: This command will cause
rem STARTER.CMD to branch to RUNEVENT if it sees a QEVET-x.BAT file exists.
rem Hence it runs the configured event if true.

if exist c:\pcb\qevt-1.bat goto RUNEVENT

rem 4) if exist BBSBATCH.BAT goto LoadBBS: you should be familiar with this
rem command since it is how the 'DOS' configuration works as well

if exist BBSBATCH.BAT goto LoadBBS



rem errorlevel processing does not work in this setup, so the original
rem errorlevel lines will be ignored

rem if errorlevel 100 goto cycle

:LoadBBS

rem Qbat2cmd changes the BBSBATCH.BAT produced by QFront to a BBSBATCH.CMD
rem file for OS/2. It also changes the content to run SPAWNBBS.CMD instead of
rem SPAWNBBS.BAT as hard coded by QFront to load PCBoard. Put QBAT2CMD.EXE
rem wherever you want but be sure to include the path to it as listed below.

c:\pcb\Qbat2cmd
BBSBatch.cmd

:PCBSM
PCBSM
Goto Start

:RunEvent

rem This is a simple copy of your event .BAT file to a .CMD file. It is to
rem help keep things straight in the OS/2 session window and make sure
rem processing returns to the OS/2 session when the event is completed.

copy qevt-1.bat qevt-1.cmd
qevt-1.cmd
Goto Start

:TossFido
CD \QFRONT
QScan /CC:\QFRONT\NODE1 /BOTH
cd\pcb
pcbnet /area:60
Goto Start

:Compile
C:
CD \QFRONT
QNList /CC:\QFRONT\NODE1 /COMPILE

:FaxCall
e:
cd\fax
recfax
recfax /all
c:
Goto Start

:Restart
Goto Start

:Error
Goto Start

:End
Set PCBDRIVE=
Set PCBDIR=
Set PCBDAT=
Set PCBNODE=
Set MINUTES=
exit
